Subject: 25.0.50; ring.el: why not autoload `ring-member' etc.?

From: Drew Adams <[email-masked]>
Date: Sun, 30 Nov 2014 11:18:30 -0800 (PST)

Subject line says it all.  Why make users `require' ring.el for such
functions, or autoload them themselves?  Do what you do now for `ringp'
and `make-ring' for other functions as well, such as `ring-insert',
`ring-member', and `ring-next'.  This is a utility library.

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2014-10-20 on LEG570
Bzr revision: 118168 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking=yes,glyphs CPPFLAGS=-DGLYPH_DEBUG=1'